Package com.sun.jna.platform.win32

## Class Advapi32Util.EventLogIterator

- java.lang.Object
- - com.sun.jna.platform.win32.Advapi32Util.EventLogIterator

- All Implemented Interfaces:
    `java.lang.Iterable<Advapi32Util.EventLogRecord>`, `java.util.Iterator<Advapi32Util.EventLogRecord>`
  Enclosing class:
    Advapi32Util

      public static class Advapi32Util.EventLogIterator
      extends java.lang.Object
      implements java.lang.Iterable<Advapi32Util.EventLogRecord>, java.util.Iterator<Advapi32Util.EventLogRecord>

  An iterator for Event Log entries.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventLogIterator​(java.lang.String sourceName)` |
    `EventLogIterator​(java.lang.String serverName, java.lang.String sourceName, int flags)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Call close() in the case when the caller needs to abandon the iterator before the iteration completes.
    `boolean` | `hasNext()` |
    `java.util.Iterator<Advapi32Util.EventLogRecord>` | `iterator()` |
    `Advapi32Util.EventLogRecord` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### EventLogIterator

          public EventLogIterator​(java.lang.String sourceName)

    - #### EventLogIterator

          public EventLogIterator​(java.lang.String serverName,
                                  java.lang.String sourceName,
                                  int flags)

  - ### Method Detail

    - #### close

          public void close()

      Call close() in the case when the caller needs to abandon the iterator before the iteration completes.

    - #### iterator

          public java.util.Iterator<Advapi32Util.EventLogRecord> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Advapi32Util.EventLogRecord>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<Advapi32Util.EventLogRecord>`

    - #### next

          public Advapi32Util.EventLogRecord next()

      Specified by:
        `next` in interface `java.util.Iterator<Advapi32Util.EventLogRecord>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<Advapi32Util.EventLogRecord>`